//
// Created by huli on 2020/7/29.
//

#include "motor_communication.h"
#include "../motor/motor_manager.h"


Motor_communication::Motor_communication()
{

}

Motor_communication::~Motor_communication()
{

}


//检查消息是否有效, 主要检查消息类型和接受者, 判断这条消息是不是给我的.
Error_manager Motor_communication::check_msg(Can_message*  p_msg)
{
	return Motor_manager::get_instance_references().check_msg(p_msg);
}

//检查执行者的状态, 判断能否处理这条消息, 需要子类重载
Error_manager Motor_communication::check_executer(Can_message*  p_msg)
{
	//只需要总管理的总状态成功就行了, 保证通信正常.
	return Motor_manager::get_instance_references().check_status();
}

//处理消息, 需要子类重载
Error_manager Motor_communication::execute_msg(Can_message* p_msg)
{
	return Motor_manager::get_instance_references().execute_msg(p_msg);
}

//定时封装发送消息,
Error_manager Motor_communication::encapsulate_send_data()
{
	return Motor_manager::get_instance_references().encapsulate_send_data();
}





